<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">

<html lang="en">
<head>

<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">

<meta name="generator" content="PHPDoctor 2RC4 (http://peej.github.com/phpdoctor/)">
<meta name="when" content="Fri, 15 Apr 2011 16:43:07 +0000">

<link rel="stylesheet" type="text/css" href="../../../stylesheet.css">
<link rel="start" href="../../../overview-summary.html">

<title>tests/cases/linefeed.php (PHPDoctor)</title>

</head>
<body id="file" onload="parent.document.title=document.title;">

<div class="header">
<h1>PHPDoctor</h1>
<ul>
<li><a href="../../../overview-summary.html">Overview</a></li>
<li>Package</li><li>Class</li><li>Tree</li><li><a href="../../../overview-files.html">Files</a></li>
<li><a href="../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../todo-list.html">Todo</a></li>
<li><a href="../../../index-all.html">Index</a></li>
</ul>
</div>

<div class="small_links">
<a href="../../../index.html" target="_top">Frames</a>
<a href="../../../source/tests/cases/linefeed.php.html" target="_top">No frames</a>
</div>
<hr>

<h1>tests/cases/linefeed.php</h1>
<hr>

<a name="line1"></a><pre><?php
<a name="line2"></a>
<a name="line3"></a>/**
<a name="line4"></a> * @package PHPDoctor\Tests
<a name="line5"></a> */
<a name="line6"></a>class TestLinefeed extends DoctorTestCase
<a name="line7"></a>{
<a name="line8"></a>	
<a name="line9"></a>    var $src, $cmd;
<a name="line10"></a>    
<a name="line11"></a>	function testLinefeed() {
<a name="line12"></a>        $this->DoctorTestCase('Linefeed tests');
<a name="line13"></a>		
<a name="line14"></a>		// The source file must be generated on the fly because the line endings are converted to Unix when
<a name="line15"></a>		// pulling/pushing the repo. 
<a name="line16"></a>		
<a name="line17"></a>		$src = file_get_contents('tests/cases/data/testcase-linefeed.php', true);
<a name="line18"></a>		
<a name="line19"></a>		$src = str_replace("\r\n", "\n", $src);
<a name="line20"></a>		$this->src = str_replace("\r", "\n", $src);	// for those ancient Macs still out there
<a name="line21"></a>		
<a name="line22"></a>		$this->setIniFile('linefeed.ini');
<a name="line23"></a>	}
<a name="line24"></a>	
<a name="line25"></a>	function testParagraphsLF() {
<a name="line26"></a>		
<a name="line27"></a>		$this->clearTempDir();
<a name="line28"></a>		$this->clearOutputDir();
<a name="line29"></a>		
<a name="line30"></a>		file_put_contents(dirname(__file__).'/tmp/testcase-linefeed.php', $this->src, FILE_USE_INCLUDE_PATH);
<a name="line31"></a>		
<a name="line32"></a>		$this->runPhpDoctor();
<a name="line33"></a>		$results = $this->readOutputFile('phpdoctor/tests/linefeed.html');
<a name="line34"></a>		
<a name="line35"></a>		$this->assertStringContains('<p>Testing linefeeds.</p>', $results, true);
<a name="line36"></a>		$this->assertStringContains('<p>This is the second paragraph.</p>', $results, true);
<a name="line37"></a>		$this->assertStringContains('<p>This is the third, extending into a second short line.</p>', $results, true);
<a name="line38"></a>	}
<a name="line39"></a>	
<a name="line40"></a>	function testParagraphsCRLF() {
<a name="line41"></a>		
<a name="line42"></a>		$this->clearTempDir();
<a name="line43"></a>		$this->clearOutputDir();
<a name="line44"></a>		
<a name="line45"></a>		$src = str_replace("\n", "\r\n", $this->src);
<a name="line46"></a>		
<a name="line47"></a>		file_put_contents('tests/cases/tmp/testcase-linefeed.php', $src, FILE_USE_INCLUDE_PATH);
<a name="line48"></a>		
<a name="line49"></a>		$this->runPhpDoctor();
<a name="line50"></a>		$results = $this->readOutputFile('phpdoctor/tests/linefeed.html');
<a name="line51"></a>		
<a name="line52"></a>		$this->assertStringContains('<p>Testing linefeeds.</p>', $results, true);
<a name="line53"></a>		$this->assertStringContains('<p>This is the second paragraph.</p>', $results, true);
<a name="line54"></a>		$this->assertStringContains('<p>This is the third, extending into a second short line.</p>', $results, true);
<a name="line55"></a>	}
<a name="line56"></a>	
<a name="line57"></a>	function testParagraphsCR() {
<a name="line58"></a>		
<a name="line59"></a>		$this->clearTempDir();
<a name="line60"></a>		$this->clearOutputDir();
<a name="line61"></a>		
<a name="line62"></a>		$src = str_replace("\n", "\r", $this->src);
<a name="line63"></a>		
<a name="line64"></a>		file_put_contents('tests/cases/tmp/testcase-linefeed.php', $src, FILE_USE_INCLUDE_PATH);
<a name="line65"></a>		
<a name="line66"></a>		$this->runPhpDoctor();
<a name="line67"></a>		$results = $this->readOutputFile('phpdoctor/tests/linefeed.html');
<a name="line68"></a>		
<a name="line69"></a>		$this->assertStringContains('<p>Testing linefeeds.</p>', $results, true);
<a name="line70"></a>		$this->assertStringContains('<p>This is the second paragraph.</p>', $results, true);
<a name="line71"></a>		$this->assertStringContains('<p>This is the third, extending into a second short line.</p>', $results, true);
<a name="line72"></a>	}
<a name="line73"></a>	
<a name="line74"></a>}
<a name="line75"></a>
<a name="line76"></a>?>
<a name="line77"></a></pre>
<div class="header">
<h1>PHPDoctor</h1>
<ul>
<li><a href="../../../overview-summary.html">Overview</a></li>
<li>Package</li><li>Class</li><li>Tree</li><li><a href="../../../overview-files.html">Files</a></li>
<li><a href="../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../todo-list.html">Todo</a></li>
<li><a href="../../../index-all.html">Index</a></li>
</ul>
</div>

<div class="small_links">
<a href="../../../index.html" target="_top">Frames</a>
<a href="../../../source/tests/cases/linefeed.php.html" target="_top">No frames</a>
</div>
<hr>

<p id="footer">This document was generated by <a href="http://peej.github.com/phpdoctor/">PHPDoctor: The PHP Documentation Creator</a></p>

</body>

</html>